﻿@model IEnumerable<RetirementStatus>
@{
    int i = 0;
}
<form asp-action="saveStatusPlanning" class="form fv-plugins-bootstrap fv-plugins-framework" id="ssEsPlanning_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <button id="btn-save-exit-hidden" class="d-none"></button>
    <div class="wizard-content-height">
        <p>
            Retirement Income Planning is a compilation of several planning areas. In previous sections you provided us with information on your retirement expectations and concerns, your current health assessment, your investment holdings, and Social Security objectives.
        </p>
        <p>
            In consideration of the information you have provided to us in the previous sections, do you feel you’re on target to reach your desired retirement security?
        </p>
        @foreach (var item in Model)
        {
            <input asp-for=" @item.Guid" name="RetirementStatus[@i].Guid" />
            <input type="hidden" asp-for="@item.employeeOf" name="RetirementStatus[@i].employeeOf" />
            <span class="switch switch-icon switch-custom switch-sm mb-2">
                <label>
                    <input type="checkbox" asp-for="@item.IsActive" name="RetirementStatus[@i].IsActive" id="RetirementStatus[@i].IsActive">
                    <span></span>
                    <text class="ml-2 switch-label" style="vertical-align:sub"> @item.EmployerTitle</text>
                </label>
            </span>
            i++;
        }
    </div>
    <partial name="_WizardFooter" />
</form>